| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Functions
system.h File Reference
`#include <ARX/ARUtil/types.h>`
Include dependency graph for system.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
ARUTIL_EXTERN char * | arUtilGetOSName (void)
| Get a string holding a descriptive name of the current operating system.
ARUTIL_EXTERN char * | arUtilGetOSVersion (void)
| Get a string holding a descriptive name of current operating system version.
ARUTIL_EXTERN char * | arUtilGetCPUName (void)
| Get a string holding a descriptive name of the current CPU type.
ARUTIL_EXTERN char * | arUtilGetModulePath (void)
| Get the full pathname of the code module in which this function exists.

## Function Documentation

## ◆ arUtilGetCPUName()

ARUTIL_EXTERN char * arUtilGetCPUName | ( | void |  | ) |

Get a string holding a descriptive name of the current CPU type.

For applications requiring some information on CPU type, this function provides the type of the CPU currently executing. It is determined in an operating system-dependent manner, and thus the results may not be directly comparable between different operating systems running on the same hardware.

If the CPU type cannot be determined, the string "unknown" will be returned.

Returns
  A c-string holding a descriptive name of the current CPU type. It is the responsibility of the caller to dispose of the string (by calling free()).

## ◆ arUtilGetModulePath()

ARUTIL_EXTERN char * arUtilGetModulePath | ( | void |  | ) |

Get the full pathname of the code module in which this function exists.

Gets the full filesystem path of the module in which this function is running. This is typically either an executable path or a dynamic library path.

Returns
  Returns A null-terminated string with the filesystem path. The returned value is malloc()ed internally and must be free()d by the caller. NULL in case of error.

Here is the call graph for this function:

## ◆ arUtilGetOSName()

ARUTIL_EXTERN char * arUtilGetOSName | ( | void |  | ) |

Get a string holding a descriptive name of the current operating system.

For applications requiring some information on operating system, this function provides the type of the operating system currently executing. It is defined to be one of the following values: "macos", "ios", "linux", "android", "windows", or "unknown" if the current OS cannot be determined.

Returns
  A c-string holding a descriptive name of the current operating system. It is the responsibility of the caller to dispose of the string (by calling free()).

## ◆ arUtilGetOSVersion()

ARUTIL_EXTERN char * arUtilGetOSVersion | ( | void |  | ) |

Get a string holding a descriptive name of current operating system version.

For applications requiring some information on operating system, this function provides the version of the operating system currently executing. It is determined in an operating system-dependent manner.

If the version cannot be determined, the string "unknown" will be returned.

Returns
  A c-string holding a descriptive name of the current operating system version. It is the responsibility of the caller to dispose of the string (by calling free()).